# Subscription Plans Details

## Get the details of the subscription plans.

<mark style="color:blue;">`GET`</mark> `{API_URL}/client/subscription-plans`

Auth required: YES

Please pass your API key as the username and API secret as the password as Basic Auth to access the endpoint

#### Query Parameters

| Name           | DataType | Description                                                                                                                                             | Type     |
| -------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| from           | string   | Start date-time for filtering subscription plans (ISO 8601 format)                                                                                      | Optional |
| to             | string   | End date-time for filtering subscription plans (ISO 8601 format)                                                                                        | Optional |
| subscriptionId | string   | Subscription Id of the plan                                                                                                                             | Optional |
| pageNumber     | integer  | <p>It indicates the current page of results that the client is requesting from a larger dataset.<br><br>Default value is 10 Records in 1 pageNumber</p> | Optional |
| showRecords    | integer  | Total records that you want to show in a page no.                                                                                                       | Optional |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "subscriptionPlans": [
        {
            "freeTrial": {
                "enabled": false,
                "duration": null
            },
            "_id": "66052fa93d9bc90560386b94",
            "benefits": "Digital Subscription Portable carry with you anytime anywhere , Locators- Id Portable carry with you anytime anywhere,Digital Subscription Portable carry with you anytime anywhere , Locators- Id Portable carry with you anytime anywhere,Digital Subscription Portable carry with you anytime anywhere , Locators- Id Portable carry with you anytime anywhere, Digital Subscription Portable carry with you anytime anywhere , Locators- Id Portable carry with you anytime anywhere,Digital Subscription Portable carry with you anytime anywhere , Locators- Id Portable carry with you anytime anywhere,Digital Subscription Portable carry with you anytime anywhere , Locators- Id Portable carry with you anytime anywhere, Digital Subscription Portable carry with you anytime anywhere , Locators- Id Portable carry with you anytime anywhere,Digital Subscription Portable carry with you anytime anywhere , Locators- Id Portable carry with you anytime anywhere,Digital Subscription Portable carry with you anytime anywhere , Locators- Id Portable carry with you anytime anywhere",
            "physical": true,
            "digital": true,
            "adFree": false,
            "couponsEnabled": true,
            "partialAccess": false,
            "sectionsInclude": [],
            "authorsInclude": [],
            "sectionsExclude": [],
            "authorsExclude": [],
            "tagsInclude": [],
            "tagsExclude": [],
            "title": "Pure Physcial",
            "tiers": [
                {
                    "priceOverrides": {
                        "country": []
                    },
                    "tierName": null,
                    "price": 500,
                    "currency": "INR",
                    "duration": 1,
                    "basePrice": 0,
                    "offers": [
                        "6618cc8791683113b883b45a",
                        "6618d6ab91683113b883b47b",
                        "6618da9a91683113b883b48f",
                        "6663078e93df6a052d62fdd1"
                    ],
                    "_id": "668665db404fa5123f1943cb"
                }
            ],
            "billingCycleType": "ONE_TIME",
            "iconUrl": "https://bkt-conscent-public-stage.storage.googleapis.com/V2 Client 2/subscriptions/66052fa93d9bc90560386b94-b3ad67.png"
        }
    ],
    "pagination": {
        "totalRecords": 1,
        "pageNumber": 1,
        "pageSize": 50,
        "totalPages": 1
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/version-2.0/integrating-apis-v2/subscription-plans-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
